package xyz.thastertyn.UserInterface.Content;

import java.io.IOException;

import com.googlecode.lanterna.gui2.Label;
import com.googlecode.lanterna.gui2.Panel;
import com.googlecode.lanterna.gui2.WindowBasedTextGUI;

import xyz.thastertyn.Types.Choice;
import xyz.thastertyn.UserInterface.UpdateListener;


/**
 * Wrapper to include all classes that deal with content in some way
 */
public abstract class JecnaContent {
	
	public abstract Panel getPanel();
	public abstract void downloadDefault() throws IOException;
	protected abstract void download(Choice choice) throws IOException;
	public abstract boolean hasStarted();
	public abstract Label getLabel();
	public abstract void showOptions(final WindowBasedTextGUI textGUI) throws IOException;
	protected abstract void setGUI();
	public abstract void setUpdateListener(UpdateListener updateListener);
}
